Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tesl
Class SustainedImplication<M1 extends java.lang.Comparable<? super M1>,M2 extends java.lang.Comparable<? super M2>,M3 extends java.lang.Comparable<? super M3>,S extends java.lang.Comparable<? super S>>

    java.lang.Object
      tesl.ImplicationRelation
          tesl.SustainedImplication<M1,M2,M3,S>

    public class SustainedImplication<M1 extends java.lang.Comparable<? super M1>,M2 extends java.lang.Comparable<? super M2>,M3 extends java.lang.Comparable<? super M3>,S extends java.lang.Comparable<? super S>>

extends ImplicationRelation

A clock implication which creates ticks on the slave at each tick of the master between a tick of start and a tick of stop.

Nested Class Summary
`private class` | `SustainedImplication.SustainedImplicationBackup`

Field Summary
`private boolean` | `immediate_`
`private boolean` | `on_`
`private boolean` | `weak_`

Fields inherited from class tesl.ImplicationRelation
`applied_now_`

Constructor Summary
`SustainedImplication(Clock<M1> master, Clock<M2> start, Clock<M3> stop, Clock<S> slave)` Constructor for a not immediate and not weak sustained implication
`SustainedImplication(Clock<M1> master, Clock<M2> start, Clock<M3> stop, Clock<S> slave, Occurrence immediate, Preemption weak)` Constructor

Method Summary
`ImplicationBackupInterface` | `backup()`
`Clock<M1>` | `getMasterClock()` Return the master clock, or reference clock, for the sustained implication
`Clock<M2>` | `getStartClock()` Return the start clock, for the sustained implication
`Clock<M3>` | `getStopClock()` Return the stop clock, for the sustained implication
`boolean` | `induceTicks()`
`void` | `restore(ImplicationBackupInterface bck)`
`java.lang.String` | `toString()`

Methods inherited from class tesl.ImplicationRelation
`apply, getMasterClocks, getSlaveClock, startSolving`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### on_

    private boolean on_

### immediate_

    private boolean immediate_

### weak_

    private boolean weak_

Constructor Detail

### SustainedImplication

    public SustainedImplication(Clock<M1> master,
                                Clock<M2> start,
                                Clock<M3> stop,
                                Clock<S> slave,
                                Occurrence immediate,
                                Preemption weak)

  Constructor

  Parameters:
    `master` - reference clock
    `start` - start events clock
    `stop` - stop events clock
    `slave` - slave clock
    `immediate` - start implication immediately
    `weak` - abort implication weakly

### SustainedImplication

    public SustainedImplication(Clock<M1> master,
                                Clock<M2> start,
                                Clock<M3> stop,
                                Clock<S> slave)

  Constructor for a not immediate and not weak sustained implication

  Parameters:
    `master` - clock
    `start` - master clock
    `stop` - master clock
    `slave` -

Method Detail

### getMasterClock

    public Clock<M1> getMasterClock()

  Return the master clock, or reference clock, for the sustained implication

### getStartClock

    public Clock<M2> getStartClock()

  Return the start clock, for the sustained implication

### getStopClock

    public Clock<M3> getStopClock()

  Return the stop clock, for the sustained implication

### induceTicks

    public boolean induceTicks()

  Specified by:
    `induceTicks` in class `ImplicationRelation`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ImplicationRelation`

### backup

    public ImplicationBackupInterface backup()

  Specified by:
    `backup` in class `ImplicationRelation`

### restore

    public void restore(ImplicationBackupInterface bck)

  Specified by:
    `restore` in class `ImplicationRelation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD